FHEM Forum

FHEM - Hardware => Server - Linux => Thema gestartet von: der-Lolo am 13 August 2022, 21:37:05

Titel: [gelöst] Debian 11 -> Perl -> FHEM Version..?
Beitrag von: der-Lolo am 13 August 2022, 21:37:05
Hallo zusammen,
mir ist etwas aufgefallen, auf meinem altem iMac läuft Debian 11.
Der Rechner sagt mir:
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
Statusinformationen werden eingelesen… Fertig
perl ist schon die neueste Version (5.32.1-4+deb11u2).
Das folgende Paket wurde automatisch installiert und wird nicht mehr benötigt:
  linux-image-5.10.0-13-amd64
Verwenden Sie »sudo apt autoremove«, um es zu entfernen.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.

Wenn ich FHEM neu starte steht dort:

2022.08.13 21:35:40 0: Featurelevel: 6.1
2022.08.13 21:35:40 0: Server started with 63 defined entities (fhem.pl:26248/2022-07-19 perl:5.032001 os:linux user:fhem pid:1332777)

Wie kann ich FHEM sagen das es doch die neue Perl Version benutzen soll?

Titel: Antw:Debian 11 -> Perl -> FHEM Version..?
Beitrag von: Otto123 am 13 August 2022, 23:43:57
Hi,

tut er doch:
5.032001
5.  32.  1

Nur die Darstellung ist anders. Hab ich gefunden ;), für die FHEM Kommandozeile:
{return "$^V\n$]"}
Gruß Otto
Titel: Antw:Debian 11 -> Perl -> FHEM Version..?
Beitrag von: der-Lolo am 14 August 2022, 08:03:31
Na dann ist ja alles gut - sorry...
Und Danke fürs aufklären..